package com.diagbot.facade.data;

import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;
import com.diagbot.dto.data.ColumnZhAndChDTO;
import com.diagbot.service.impl.MedIllCriticallyServiceImpl;
import com.diagbot.util.EntityUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class AMedIllCriticallyFacade extends MedIllCriticallyServiceImpl {

    @Autowired
    private ColumnFacade columnFacade;

    public Boolean getColumnZhAndCh(){
        List<ColumnZhAndChDTO> list=this.baseMapper.getColumnZhAndCh();
        list.forEach(s->{
            s.setEn(NamingStrategy.underlineToCamel(s.getEn()));
        });

        Map<String, String> columnMap= EntityUtil.makeMapWithKeyValue(list,"ch","en");
        Boolean flag=columnFacade.createColumn(columnMap,"medIllCritically");

        //Map<String, String> map=columnFacade.getColumn("medConsultationNote");
        return flag;
    }
}
